Ogre::Singleton< T > Class Template Reference
General

Template class for creating single-instance global classes. More...

`#include <OgreSingleton.h>`

List of all members.

## Public Member Functions

| Singleton (void)
| ~Singleton (void)

## Static Public Member Functions

static T & | getSingleton (void)
static T * | getSingletonPtr (void)

## Static Protected Attributes

static T * | msSingleton

## Private Member Functions

| Singleton (const Singleton< T > &)
| Explicit private copy constructor.
Singleton & | operator= (const Singleton< T > &)
| Private operator= .

## Detailed Description

### template<typename T>
class Ogre::Singleton< T >

Template class for creating single-instance global classes.

Definition at line 64 of file OgreSingleton.h.

## Constructor & Destructor Documentation

template<typename T>

Ogre::Singleton< T >::Singleton | ( | const Singleton< T > & |  | ) | `[private]`

Explicit private copy constructor.

This is a forbidden operation.

template<typename T>

Ogre::Singleton< T >::Singleton | ( | void |  | ) |

Definition at line 78 of file OgreSingleton.h.

template<typename T>

Ogre::Singleton< T >::~Singleton | ( | void |  | ) |

Definition at line 88 of file OgreSingleton.h.

## Member Function Documentation

template<typename T>

static T& Ogre::Singleton< T >::getSingleton | ( | void |  | ) | `[static]`

Reimplemented in Ogre::TerrainGlobalOptions, Ogre::ResourceGroupManager, Ogre::Root, Ogre::HardwareBufferManager, Ogre::TextureManager, Ogre::ScriptCompilerManager, Ogre::MeshManager, Ogre::ParticleSystemManager, Ogre::ResourceBackgroundQueue, Ogre::Profiler, Ogre::MaterialManager, Ogre::ControllerManager, Ogre::GpuProgramManager, Ogre::OverlayManager, Ogre::SceneManagerEnumerator, Ogre::CompositorManager, Ogre::LogManager, Ogre::GLSLLinkProgramManager, Ogre::HighLevelGpuProgramManager, Ogre::ShadowTextureManager, Ogre::ArchiveManager, Ogre::LodStrategyManager, Ogre::DistanceLodStrategy, Ogre::RTShader::ProgramWriterManager, Ogre::ExternalTextureSourceManager, Ogre::RenderSystemCapabilitiesManager, Ogre::DynLibManager, Ogre::GLSLESLinkProgramManager, Ogre::PixelCountLodStrategy, Ogre::GTKGLSupport, Ogre::RTShader::ShaderGenerator, Ogre::GLSLESProgramPipelineManager, Ogre::SkeletonManager, Ogre::RTShader::ProgramManager, and Ogre::FontManager.

Definition at line 90 of file OgreSingleton.h.

template<typename T>

static T* Ogre::Singleton< T >::getSingletonPtr | ( | void |  | ) | `[static]`

Reimplemented in Ogre::TerrainGlobalOptions, Ogre::ResourceGroupManager, Ogre::Root, Ogre::HardwareBufferManager, Ogre::TextureManager, Ogre::ScriptCompilerManager, Ogre::MeshManager, Ogre::ParticleSystemManager, Ogre::ResourceBackgroundQueue, Ogre::Profiler, Ogre::MaterialManager, Ogre::ControllerManager, Ogre::GpuProgramManager, Ogre::OverlayManager, Ogre::SceneManagerEnumerator, Ogre::CompositorManager, Ogre::LogManager, Ogre::HighLevelGpuProgramManager, Ogre::ShadowTextureManager, Ogre::GLSLLinkProgramManager, Ogre::ArchiveManager, Ogre::LodStrategyManager, Ogre::DistanceLodStrategy, Ogre::RTShader::ProgramWriterManager, Ogre::ExternalTextureSourceManager, Ogre::RenderSystemCapabilitiesManager, Ogre::DynLibManager, Ogre::PixelCountLodStrategy, Ogre::RTShader::ShaderGenerator, Ogre::GTKGLSupport, Ogre::GLSLESLinkProgramManager, Ogre::RTShader::ProgramManager, Ogre::SkeletonManager, Ogre::FontManager, and Ogre::GLSLESProgramPipelineManager.

Definition at line 92 of file OgreSingleton.h.

template<typename T>

Singleton& Ogre::Singleton< T >::operator= | ( | const Singleton< T > & |  | ) | `[private]`

Private operator= .

This is a forbidden operation.

## Member Data Documentation

template<typename T>

T* Ogre::Singleton< T >::msSingleton`[static, protected]`

Definition at line 75 of file OgreSingleton.h.

Referenced by Ogre::Singleton< GpuProgramManager >::getSingleton(), Ogre::Singleton< GpuProgramManager >::getSingletonPtr(), Ogre::Singleton< GpuProgramManager >::Singleton(), and Ogre::Singleton< GpuProgramManager >::~Singleton().

The documentation for this class was generated from the following file:

- OgreSingleton.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:39